Index: branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/EXP00/namelist_cfg	(revision 8891)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/EXP00/namelist_cfg	(revision 8896)
@@ -1,214 +1,1 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : used to overwrite defaults values defined in SHARED/namelist_ref
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!
-!-----------------------------------------------------------------------
-&namusr_def    !   LOCK_EXCHANGE user defined namelist
-!-----------------------------------------------------------------------
-   rn_dx       =    500.   ! horizontal resolution in meters
-   rn_dz       =      1.   ! vertical   resolution in meters
-/
-!
-!-----------------------------------------------------------------------
-&namrun        !   parameters of the run
-!-----------------------------------------------------------------------
-   nn_no       =       0   !  job number (no more used...)
-   cn_exp      =   "LOCK_FCT2_flux_ubs"  !  experience name
-   nn_it000    =       1   !  first time step
-   nn_itend    =   61200   ! for 17h of simulation  (=61200 time-step)
-   nn_istate   =       0   !  output the initial state (1) or not (0)
-   nn_stock    =   61200   !  frequency of creation of a restart file (modulo referenced to 1)
-   nn_write    =   61200   !  frequency of write in the output file   (modulo referenced to nn_it000)
-/
-!-----------------------------------------------------------------------
-&namcfg        !   parameters of the configuration
-!-----------------------------------------------------------------------
-   ln_read_cfg = .false.   !  (=T) read the domain configuration file
-      !                    !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-   ln_write_cfg= .false.   !  (=T) create the domain configuration file
-/
-!-----------------------------------------------------------------------
-&namdom        !   space and time domain (bathymetry, mesh, timestep)
-!-----------------------------------------------------------------------
-   ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
-   nn_closea   =    1      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
-   !
-   nn_msh      =    1      !  create (>0) a mesh file or not (=0)
-   rn_isfhmin  =    0.00   !  treshold (m) to discriminate grounding ice to floating ice
-   !
-   rn_rdt      =    1.     !  time step for the dynamics (and tracer if nn_acc=0)
-   rn_atfp     =    0.1    !  asselin time filter parameter
-   !
-   ln_crs      = .false.   !  Logical switch for coarsening module
-/
-!-----------------------------------------------------------------------
-&namtsd    !   data : Temperature  & Salinity
-!-----------------------------------------------------------------------
-   ln_tsd_init   = .false.   !  Initialisation of ocean T & S with T &S input data (T) or not (F)
-   ln_tsd_tradmp = .false.   !  damping of ocean T & S toward T &S input data (T) or not (F)
-/
-!-----------------------------------------------------------------------
-&namsbc        !   Surface Boundary Condition (surface module)
-!-----------------------------------------------------------------------
-  nn_fsbc     = 1         !  frequency of surface boundary condition computation
-                          !     (also = the frequency of sea-ice & iceberg model call)
-  ln_usr      = .true.    !  user defined formulation                  (T => check usrdef_sbc)
-  ln_blk      = .false.   !  Bulk formulation                          (T => fill namsbc_blk )
-  nn_ice      = 0         !  =0 no ice boundary condition   
-  ln_traqsr   = .false.   !  Light penetration in the ocean            (T => fill namtra_qsr )
-  ln_rnf      = .false.   !  runoffs                                   (T => fill namsbc_rnf)
-  ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
-  nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
-/
-!-----------------------------------------------------------------------
-&namlbc        !   lateral momentum boundary condition
-!-----------------------------------------------------------------------
-!                         !  free slip  !   partial slip  !   no slip   ! strong slip
-  rn_shlat    =    0.     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
-/
-!-----------------------------------------------------------------------
-&nambfr        !   bottom friction
-!-----------------------------------------------------------------------
-   nn_bfr      =    0      !  type of bottom friction :   = 0 : free slip,  = 1 : linear friction
-                           !                              = 2 : nonlinear friction
-/
-!-----------------------------------------------------------------------
-&nambbc        !   bottom temperature boundary condition                (default: NO)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambbl        !   bottom boundary layer scheme                         ("key_trabbl")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nameos        !   ocean physical parameters
-!-----------------------------------------------------------------------
-   ln_seos     = .true.         !  = Use simplified equation of state (S-EOS)
-   !                     ! S-EOS coefficients (nn_eos=1):
-   !                          !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  0.2         !  thermal expension coefficient (nn_eos= 1)
-   rn_b0       =  0.          !  saline  expension coefficient (nn_eos= 1)
-   rn_lambda1  =  0.          !  cabbeling coeff in T^2  (=0 for linear eos)
-   rn_lambda2  =  0.          !  cabbeling coeff in S^2  (=0 for linear eos)
-   rn_mu1      =  0.          !  thermobaric coeff. in T (=0 for linear eos)
-   rn_mu2      =  0.          !  thermobaric coeff. in S (=0 for linear eos)
-   rn_nu       =  0.          !  cabbeling coeff in T*S  (=0 for linear eos)
-/
-!-----------------------------------------------------------------------
-&namtra_adv    !   advection scheme for tracer
-!-----------------------------------------------------------------------
-   ln_traadv_cen = .false. !  2nd order centered scheme
-      nn_cen_h   =  4            !  =2/4, horizontal 2nd order CEN / 4th order CEN
-      nn_cen_v   =  4            !  =2/4, vertical   2nd order CEN / 4th order COMPACT
-   ln_traadv_fct = .true. !  FCT scheme
-      nn_fct_h   =  2            !  =2/4, horizontal 2nd / 4th order
-      nn_fct_v   =  2            !  =2/4, vertical   2nd / COMPACT 4th order
-      nn_fct_zts =  0            !  >=1,  2nd order FCT scheme with vertical sub-timestepping
-      !                          !        (number of sub-timestep = nn_fct_zts)
-   ln_traadv_mus = .false. !  MUSCL scheme
-      ln_mus_ups = .false.       !  use upstream scheme near river mouths
-   ln_traadv_ubs = .false. !  UBS scheme
-      nn_ubs_v   =  2            !  =2  , vertical 2nd order FCT / COMPACT 4th order
-   ln_traadv_qck = .false. !  QUICKEST scheme
-/
-!-----------------------------------------------------------------------
-&namtra_adv_mle !   mixed layer eddy parametrisation (Fox-Kemper param) (default: NO)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtra_ldf    !   lateral diffusion scheme for tracers
-!-----------------------------------------------------------------------
-   !                       !  Operator type:    both false = No lateral diffusion
-   ln_traldf_lap   =  .false.  !    laplacian operator
-   ln_traldf_blp   =  .false.  !  bilaplacian operator
-/
-!-----------------------------------------------------------------------
-&namtra_ldfeiv !   eddy induced velocity param.                         (default: NO)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtra_dmp    !   tracer: T & S newtonian damping                       (default: YES)
-!-----------------------------------------------------------------------
-   ln_tradmp   =  .false.   !  add a damping termn (T) or not (F)
-/
-!-----------------------------------------------------------------------
-&namdyn_adv    !   formulation of the momentum advection
-!-----------------------------------------------------------------------
-   ln_dynadv_vec = .false. !  vector form (T) or flux form (F)
-   nn_dynkeg     = 0       ! scheme for grad(KE): =0   C2  ;  =1   Hollingsworth correction
-   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
-   ln_dynadv_ubs = .true.  !  flux form - 3rd order UBS      scheme
-   ln_dynzad_zts = .false. !  Use (T) sub timestepping for vertical momentum advection
-/
-!-----------------------------------------------------------------------
-&nam_vvl    !   vertical coordinate options                             (default: zstar)
-!-----------------------------------------------------------------------
-   ln_vvl_zstar  = .true.           !  zstar vertical coordinate
-/
-!-----------------------------------------------------------------------
-&namdyn_vor    !   option of physics/algorithm
-!-----------------------------------------------------------------------
-   ln_dynvor_ene = .false. !  enstrophy conserving scheme
-   ln_dynvor_ens = .true.  !  energy conserving scheme
-   ln_dynvor_mix = .false. !  mixed scheme
-   ln_dynvor_een = .false. !  energy & enstrophy scheme
-      nn_een_e3f = 0             !  e3f = masked averaging of e3t divided by 4 (=0) or by the sum of mask (=1)
-/
-!-----------------------------------------------------------------------
-&namdyn_hpg    !   Hydrostatic pressure gradient option
-!-----------------------------------------------------------------------
-   ln_hpg_zps  = .false.  !  z-coordinate - partial steps (interpolation)
-   ln_hpg_sco  = .true.   !  s-coordinate (standard jacobian formulation)
-/
-!-----------------------------------------------------------------------
-&namdyn_spg    !   Surface pressure gradient
-!-----------------------------------------------------------------------
-   ln_dynspg_ts  = .true.   ! explicit free surface
-      ln_bt_fw      = .true.     ! Forward integration of barotropic Eqs.
-      ln_bt_av      = .true.     ! Time filtering of barotropic variables
-         nn_bt_flt     = 1          ! Time filter choice  = 0 None
-         !                          !                     = 1 Boxcar over   nn_baro sub-steps
-         !                          !                     = 2 Boxcar over 2*nn_baro  "    "
-      ln_bt_auto    = .true.     ! Number of sub-step defined from:
-         nn_baro      =  1         ! =F : the number of sub-step in rn_rdt seconds
-/
-!-----------------------------------------------------------------------
-&namdyn_ldf    !   lateral diffusion on momentum
-!-----------------------------------------------------------------------
-   !                       !  Type of the operator :
-   !                           !  no diffusion: set ln_dynldf_lap=..._blp=F 
-   ln_dynldf_lap =  .false.    !    laplacian operator
-   ln_dynldf_blp =  .false.    !  bilaplacian operator
-   !                       !  Direction of action  :
-   ln_dynldf_lev =  .false.     !  iso-level
-   ln_dynldf_hor =  .true.    !  horizontal (geopotential)
-   ln_dynldf_iso =  .false.    !  iso-neutral
-   !                       !  Coefficient
-   nn_ahm_ijk_t  = 0         !  space/time variation of eddy coef
-   !                                !  =-30  read in eddy_viscosity_3D.nc file
-   !                                !  =-20  read in eddy_viscosity_2D.nc file
-   !                                !  =  0  constant 
-   !                                !  = 10  F(k)=c1d
-   !                                !  = 20  F(i,j)=F(grid spacing)=c2d
-   !                                !  = 30  F(i,j,k)=c2d*c1d
-   !                                !  = 31  F(i,j,k)=F(grid spacing and local velocity)
-   rn_ahm_0      =     0.01    !  horizontal laplacian eddy viscosity   [m2/s]
-   rn_ahm_b      =     0.      !  background eddy viscosity for ldf_iso [m2/s]
-   rn_bhm_0      =     1.e+12  !  horizontal bilaplacian eddy viscosity [m4/s]
-/
-!-----------------------------------------------------------------------
-&namzdf        !   vertical physics
-!-----------------------------------------------------------------------
-   rn_avm0     =   1.e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
-   rn_avt0     =   0.     !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
-   ln_zdfevd   = .false.  !  enhanced vertical diffusion (evd)
-   ln_zdfnpc   = .false.  !  Non-Penetrative Convective algorithm
-/
-!-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namctl        !   Control prints & Benchmark
-!-----------------------------------------------------------------------
-/
+link namelist_FCT2_flux_ubs_cfg
Index: branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_cfg
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_cfg	(revision 8891)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_cfg	(revision 8896)
@@ -1,207 +1,1 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : used to overwrite defaults values defined in SHARED/namelist_ref
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!
-!-----------------------------------------------------------------------
-&namusr_def    !   User defined :   OVERFLOW configuration 
-!-----------------------------------------------------------------------
-   !                       !  type of vertical coordinate
-   ln_zco      = .false.      ! z-coordinate
-   ln_zps      = .true.       ! z-partial-step coordinate
-   ln_sco      = .false.      ! s-coordinate   
-   rn_dx       =   1000.   !  horizontal resolution   [meters]
-   rn_dz       =     20.   !  vertical   resolution   [meters]
-/
-!
-!-----------------------------------------------------------------------
-&namrun        !   parameters of the run
-!-----------------------------------------------------------------------
-   nn_no       =       0   !  job number (no more used...)
-   cn_exp      =   "OVF_FCT2_flux_ubs"  !  experience name
-   nn_it000    =       1   !  first time step
-   !nn_itend    =    6120  ! here 17h of simulation  (=6120 time-step) abort after 5802 for zps: pb of physiques conditions 
-   nn_itend    =    5760   ! here 16h of simulation  (=5760 time-step) 
-   nn_istate   =       0   !  output the initial state (1) or not (0)
-   nn_stock    =    5760   !  frequency of creation of a restart file (modulo referenced to 1)
-   nn_write    =    5760   !  frequency of write in the output file   (modulo referenced to nn_it000)
-/
-!-----------------------------------------------------------------------
-&namcfg        !   parameters of the configuration
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namdom        !   space and time domain (bathymetry, mesh, timestep)
-!-----------------------------------------------------------------------
-   rn_rdt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
-   rn_atfp     =    0.1    !  asselin time filter parameter
-/
-!-----------------------------------------------------------------------
-&namtsd    !   data : Temperature  & Salinity
-!-----------------------------------------------------------------------
-   ln_tsd_init   = .false.   !  Initialisation of ocean T & S with T &S input data (T) or not (F)
-   ln_tsd_tradmp = .false.   !  damping of ocean T & S toward T &S input data (T) or not (F)
-/
-!-----------------------------------------------------------------------
-&namsbc        !   Surface Boundary Condition (surface module)
-!-----------------------------------------------------------------------
-  nn_fsbc     = 1         !  frequency of surface boundary condition computation
-                          !     (also = the frequency of sea-ice & iceberg model call)
-  ln_usr      = .true.    !  user defined formulation                  (T => check usrdef_sbc)
-  ln_blk      = .false.   !  Bulk formulation                          (T => fill namsbc_blk )
-  nn_ice      = 0         !  =0 no ice boundary condition   
-  ln_traqsr   = .false.   !  Light penetration in the ocean            (T => fill namtra_qsr )
-  ln_rnf      = .false.   !  runoffs                                   (T => fill namsbc_rnf)
-  ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
-  nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
-/
-!-----------------------------------------------------------------------
-&namlbc        !   lateral momentum boundary condition
-!-----------------------------------------------------------------------
-!                         !  free slip  !   partial slip  !   no slip   ! strong slip
-  rn_shlat    =    0.     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
-/
-!-----------------------------------------------------------------------
-&nambfr        !   bottom friction
-!-----------------------------------------------------------------------
-   nn_bfr      =    0      !  type of bottom friction :   = 0 : free slip,  = 1 : linear friction
-                           !                              = 2 : nonlinear friction
-/
-!-----------------------------------------------------------------------
-&nambbc        !   bottom temperature boundary condition                (default: NO)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nambbl        !   bottom boundary layer scheme                         ("key_trabbl")
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nameos        !   ocean physical parameters
-!-----------------------------------------------------------------------
-   ln_seos     = .true.         !  = Use simplified equation of state (S-EOS)
-   !                             !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  0.2         !  thermal expension coefficient (for simplified equation of state)
-   rn_b0       =  0.          !  saline  expension coefficient (for simplified equation of state)
-   rn_lambda1  =  0.          !  cabbeling coeff in T^2  (=0 for linear eos)
-   rn_lambda2  =  0.          !  cabbeling coeff in S^2  (=0 for linear eos)
-   rn_mu1      =  0.          !  thermobaric coeff. in T (=0 for linear eos)
-   rn_mu2      =  0.          !  thermobaric coeff. in S (=0 for linear eos)
-   rn_nu       =  0.          !  cabbeling coeff in T*S  (=0 for linear eos)
-/
-!-----------------------------------------------------------------------
-&namtra_adv    !   advection scheme for tracer
-!-----------------------------------------------------------------------
-   ln_traadv_cen = .false. !  2nd order centered scheme
-      nn_cen_h   =  4            !  =2/4, horizontal 2nd order CEN / 4th order CEN
-      nn_cen_v   =  4            !  =2/4, vertical   2nd order CEN / 4th order COMPACT
-   ln_traadv_fct = .true. !  FCT scheme
-      nn_fct_h   =  2            !  =2/4, horizontal 2nd / 4th order
-      nn_fct_v   =  2            !  =2/4, vertical   2nd / COMPACT 4th order
-      nn_fct_zts =  0            !  >=1,  2nd order FCT scheme with vertical sub-timestepping
-      !                          !        (number of sub-timestep = nn_fct_zts)
-   ln_traadv_mus = .false. !  MUSCL scheme
-      ln_mus_ups = .false.       !  use upstream scheme near river mouths
-   ln_traadv_ubs = .false. !  UBS scheme
-      nn_ubs_v   =  2            !  =2  , vertical 2nd order FCT / COMPACT 4th order
-   ln_traadv_qck = .false. !  QUICKEST scheme
-/
-!-----------------------------------------------------------------------
-&namtra_adv_mle !   mixed layer eddy parametrisation (Fox-Kemper param) (default: NO)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtra_ldf    !   lateral diffusion scheme for tracers
-!-----------------------------------------------------------------------
-   !                       !  Operator type:    both false = No lateral diffusion
-   ln_traldf_lap   =  .false.  !    laplacian operator
-   ln_traldf_blp   =  .false.  !  bilaplacian operator
-/
-!-----------------------------------------------------------------------
-&namtra_ldfeiv !   eddy induced velocity param.                         (default: NO)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namtra_dmp    !   tracer: T & S newtonian damping                       (default: YES)
-!-----------------------------------------------------------------------
-   ln_tradmp   =  .false.   !  add a damping termn (T) or not (F)
-/
-!-----------------------------------------------------------------------
-&namdyn_adv    !   formulation of the momentum advection
-!-----------------------------------------------------------------------
-   ln_dynadv_vec = .false. !  vector form (T) or flux form (F)
-   nn_dynkeg     = 0       ! scheme for grad(KE): =0   C2  ;  =1   Hollingsworth correction
-   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
-   ln_dynadv_ubs = .true.  !  flux form - 3rd order UBS      scheme
-   ln_dynzad_zts = .false. !  Use (T) sub timestepping for vertical momentum advection
-/
-!-----------------------------------------------------------------------
-&nam_vvl    !   vertical coordinate options                             (default: zstar)
-!-----------------------------------------------------------------------
-   ln_vvl_zstar  = .true.           !  zstar vertical coordinate
-/
-!-----------------------------------------------------------------------
-&namdyn_vor    !   option of physics/algorithm
-!-----------------------------------------------------------------------
-   ln_dynvor_ene = .false. !  enstrophy conserving scheme
-   ln_dynvor_ens = .true.  !  energy conserving scheme
-   ln_dynvor_mix = .false. !  mixed scheme
-   ln_dynvor_een = .false. !  energy & enstrophy scheme
-      nn_een_e3f = 0             !  e3f = masked averaging of e3t divided by 4 (=0) or by the sum of mask (=1)
-/
-!-----------------------------------------------------------------------
-&namdyn_hpg    !   Hydrostatic pressure gradient option
-!-----------------------------------------------------------------------
-   ln_hpg_zps  = .false.  !  z-coordinate - partial steps (interpolation)
-   ln_hpg_sco  = .true.   !  s-coordinate (standard jacobian formulation)
-/
-!-----------------------------------------------------------------------
-&namdyn_spg    !   Surface pressure gradient
-!-----------------------------------------------------------------------
-   ln_dynspg_ts  = .true.   ! split-explicit free surface
-      ln_bt_fw      = .true.     ! Forward integration of barotropic Eqs.
-      ln_bt_av      = .true.     ! Time filtering of barotropic variables
-         nn_bt_flt     = 1          ! Time filter choice  = 0 None
-         !                          !                     = 1 Boxcar over   nn_baro sub-steps
-         !                          !                     = 2 Boxcar over 2*nn_baro  "    "
-      ln_bt_auto    = .true.     ! Number of sub-step defined from:
-         nn_baro      =  1         ! =F : the number of sub-step in rn_rdt seconds
-/
-!-----------------------------------------------------------------------
-&namdyn_ldf    !   lateral diffusion on momentum
-!-----------------------------------------------------------------------
-   !                       !  Type of the operator :
-   !                           !  no diffusion: set ln_dynldf_lap=..._blp=F 
-   ln_dynldf_lap =  .false.    !    laplacian operator
-   ln_dynldf_blp =  .false.    !  bilaplacian operator
-   !                       !  Direction of action  :
-   ln_dynldf_lev =  .true.      !  iso-level
-   ln_dynldf_hor =  .false.     !  horizontal (geopotential)
-   ln_dynldf_iso =  .false.     !  iso-neutral
-   !                       !  Coefficient
-   nn_ahm_ijk_t  = 0         !  space/time variation of eddy coef
-   !                                !  =-30  read in eddy_viscosity_3D.nc file
-   !                                !  =-20  read in eddy_viscosity_2D.nc file
-   !                                !  =  0  constant 
-   !                                !  = 10  F(k)=c1d
-   !                                !  = 20  F(i,j)=F(grid spacing)=c2d
-   !                                !  = 30  F(i,j,k)=c2d*c1d
-   !                                !  = 31  F(i,j,k)=F(grid spacing and local velocity)
-   rn_ahm_0      =     0.01    !  horizontal laplacian eddy viscosity   [m2/s]
-   rn_ahm_b      =     0.      !  background eddy viscosity for ldf_iso [m2/s]
-   rn_bhm_0      =     1.e+12  !  horizontal bilaplacian eddy viscosity [m4/s]
-/
-!-----------------------------------------------------------------------
-&namzdf        !   vertical physics
-!-----------------------------------------------------------------------
-   rn_avm0     =   1.e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
-   rn_avt0     =   0.     !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
-   ln_zdfevd   = .false.  !  enhanced vertical diffusion (evd)
-   ln_zdfnpc   = .false.  !  Non-Penetrative Convective algorithm
-/
-!-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namctl        !   Control prints & Benchmark
-!-----------------------------------------------------------------------
-/
+link namelist_zps_FCT2_flux_ubs_cfg
Index: branches/2017/dev_CNRS_2017/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/SETTE/sette.sh	(revision 8891)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/SETTE/sette.sh	(revision 8896)
@@ -133,15 +133,15 @@
 cp BATCH_TEMPLATE/${JOB_PREFIX}-${COMPILER} job_batch_template || exit
 # Description of configuration tested:
-# GYRE_PISCES       :  1 &  2
-# ORCA2_LIM3_PISCES :  3 &  4
-# ORCA2_OFF_PISCES  :  5 &  6
-# AMM12             :  7 &  8 
-# SAS               :  9     fos SAS there is no run.stat so is useless to test REPRO
-# ISOMIP            : 10 & 11
-# ORCA2_LIM3_OBS    : 12
-# ORCA2_AGRIF_LIM3  : 13 & 14 
-#                     15 & 16 
-
-for config in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 
+# GYRE_PISCES       :  1 
+# ORCA2_LIM3_PISCES :  2 
+# ORCA2_OFF_PISCES  :  3 
+# AMM12             :  4 
+# SAS               :  5     fos SAS there is no run.stat so is useless to test REPRO
+# ISOMIP            :  6
+# ORCA2_LIM3_OBS    :  7
+# ORCA2_AGRIF_LIM3  :  8 
+# ORCA2AGR          :  9 & 10  AGRIF active with no zoom, compared to no AGRIF cpp key
+
+for config in 1 2 3 4 5 6 7 8 9 10
 do
 
@@ -151,5 +151,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n GYREPIS_LONG -r GYRE_PISCES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n GYREPIS_ST -r GYRE_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -220,11 +220,8 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-if [ ${config} -eq 2 ] ;  then
+
     ## Reproducibility tests for GYRE_PISCES
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n GYREPIS_32 -r GYRE_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -287,9 +284,9 @@
 
 # TESTS FOR ORCA2_LIM3_PISCES CONFIGURATION
-if [ ${config} -eq 3 ] ;  then
+if [ ${config} -eq 2 ] ;  then
     ## Restartability tests for ORCA2_LIM3_PISCES
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_LONG -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_ST -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -388,11 +385,8 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-if [ ${config} -eq 4 ] ;  then
+
     ## Reproducibility tests for ORCA2_LIM3_PISCES
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2LIM3PIS_32 -r ORCA2_LIM3_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -485,9 +479,9 @@
 
 # TESTS FOR ORCA2_OFF_PISCES CONFIGURATION
-if [ ${config} -eq 5 ] ;  then
+if [ ${config} -eq 3 ] ;  then
     ## Restartability tests for ORCA2_OFF_PISCES
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_LONG -r ORCA2_OFF_PISCES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_ST -r ORCA2_OFF_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -574,11 +568,8 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-if [ ${config} -eq 6 ] ;  then
+
     ## Reproducibility tests for ORCA2_OFF_PISCES
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_32 -r ORCA2_OFF_PISCES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -664,9 +655,9 @@
 
 # TESTS FOR AMM12 CONFIGURATION
-if [ ${config} -eq 7 ] ;  then
+if [ ${config} -eq 4 ] ;  then
     ## Restartability tests for AMM12
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n AMM12_ST -r AMM12 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -728,11 +719,8 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-if [ ${config} -eq 8 ] ;  then
+
 ## Reproducibility tests for AMM12
     export TEST_NAME="REPRO_8_4"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -792,9 +780,9 @@
 
 # TESTS FOR ORCA2_SAS_LIM3 CONFIGURATION
-if [ ${config} -eq 9 ] ;  then
+if [ ${config} -eq 5 ] ;  then
     ## Restartability tests for SAS
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n SAS_LONG -r ORCA2_SAS_LIM3 -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n SAS_ST -r ORCA2_SAS_LIM3 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -845,5 +833,5 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg nn_date0 010106
+    set_namelist namelist_cfg nn_date0 010109
     set_namelist namelist_cfg cn_ocerst_in \"SAS_00000120_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"SAS_00000120_restart_ice\"
@@ -866,9 +854,9 @@
 
 # TESTS FOR ISOMIP CONFIGURATION
-if [ ${config} -eq 10 ] ;  then
+if [ ${config} -eq 6 ] ;  then
     ## Restartability tests for ISOMIP
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ISOMIP_LONG -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ISOMIP_ST -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -939,10 +927,8 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-if [ ${config} -eq 11 ] ;  then
+
     ## Reproducibility tests for ISOMIP
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ISOMIP_32 -r ISOMIP -a TEST_CASES -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1010,9 +996,9 @@
 ## Test assimilation interface code, OBS and ASM for reproducibility
 ## Restartability not tested (ASM code not restartable while increments are being applied)
-if [ ${config} -eq 12 ] ; then
+if [ ${config} -eq 7 ] ; then
    ## Reproducibility tests for ORCA2_LIM3_OBS
     export TEST_NAME="REPRO_4_8"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2_LIM3_OBS -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3"  -j 8 add_key "key_asminc" del_key "key_top"
+    . ./makenemo -m ${CMP_NAM} -n ORCA2_LIM3_OBS_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3"  -j 8 add_key "key_asminc" del_key "key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1122,133 +1108,10 @@
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
-# TEST FOR ORCA2_LIM3_AGRIF : simple test of running AGRIF (no restartability neither reproducibility tests)
-if [ ${config} -eq 13 ] ;  then
-    ## ORCA2_LIM3 with Agulhas AGRIF zoom in MPI
-    export TEST_NAME="SHORT"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_1_2 -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=2
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 1
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 2
-    set_namelist 1_namelist_cfg nn_it000 1
-    set_namelist 1_namelist_cfg nn_itend 150
-    set_namelist 1_namelist_cfg nn_fsbc 1
-    set_namelist 1_namelist_cfg ln_ctl .false.
-    set_namelist 1_namelist_cfg ln_clobber .true.
-    set_namelist 1_namelist_cfg ln_read_cfg .true.
-    set_namelist 1_namelist_cfg ln_linssh .true.
-    set_namelist 1_namelist_cfg ln_zdfiwm .false.
-    set_namelist 1_namelist_cfg ln_hpg_sco .false.
-    set_namelist 1_namelist_cfg ln_hpg_zps .true. 
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
-
-# test code corruption with AGRIF
-# Compile and run with or without AGRIF ORCA2_LIM3
-if [ ${config} -eq 14 ] ;  then
-    # First run same as 15 but without zoom
-    export TEST_NAME="SHORT_NOZOOM"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_2_2 -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-# 
-#   Set the number of fine grids to zero:    
-    sed -i "1s/.*/0/" ${EXE_DIR}/AGRIF_FixedGrids.in
-
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-    export TEST_NAME="SHORT_NOAGRIF"
-    cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_2_2_NAG -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 del_key "key_top"
-    cd ${SETTE_DIR}
-    . ./param.cfg
-    . ./all_functions.sh
-    . ./prepare_exe_dir.sh
-    JOB_FILE=${EXE_DIR}/run_job.sh
-    NPROC=4
-    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
-    cd ${EXE_DIR}
-    set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_linssh .true.
-    set_namelist namelist_cfg ln_hpg_sco .false.
-    set_namelist namelist_cfg ln_hpg_zps .true. 
-    set_namelist namelist_cfg nn_fwb 0
-    set_namelist namelist_cfg jpni 2
-    set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg jpnij 4
-#
-    if [ ${USING_MPMD} == "yes" ] ; then
-       set_xio_using_server iodef.xml true
-    else
-       set_xio_using_server iodef.xml false
-    fi
-    cd ${SETTE_DIR}
-    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-
-fi
-
-## Restartability tests for ORCA2_LIM3_AGRIF 
-if [ ${config} -eq 15 ] ;  then
+# TEST FOR ORCA2_LIM3_AGRIF : AGULHAS AGRIF
+if [ ${config} -eq 8 ] ;  then
+## Restartability tests
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_LONG -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_top"
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGR_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1347,11 +1210,9 @@
     cd ${SETTE_DIR}
     . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
-fi
+
 
 ## Reproducibility tests for ORCA2_LIM3_AGRIF
-if [ ${config} -eq 16 ] ;  then
     export TEST_NAME="REPRO_4_4"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_16 -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1382,5 +1243,4 @@
     set_namelist 1_namelist_cfg ln_zdfiwm .false.
     set_namelist 1_namelist_cfg ln_linssh .true.
-    set_namelist 1_namelist_cfg ln_zdfiwm .false.
     set_namelist 1_namelist_cfg ln_hpg_sco .false.
     set_namelist 1_namelist_cfg ln_hpg_zps .true. 
@@ -1438,3 +1298,86 @@
 fi
 
+# test code corruption with AGRIF
+if [ ${config} -eq 9 ] ;  then
+
+# Compile with AGRIF but run with no zoom
+    export TEST_NAME="AGRIFNOZ"
+    cd ${CONFIG_DIR0}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_NOZOOM_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_top"
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=4
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 75
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .true.
+    set_namelist namelist_cfg ln_hpg_sco .false.
+    set_namelist namelist_cfg ln_hpg_zps .true. 
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg ln_icebergs .false.   
+# 
+#   Set the number of fine grids to zero:    
+    sed -i "1s/.*/0/" ${EXE_DIR}/AGRIF_FixedGrids.in
+
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+fi
+
+if [ ${config} -eq 10 ] ;  then
+# Compile with same option as 9 = ORCA2AGUL_NOZOOM, except ne key_agrif to check AGRIF does not hurt...
+    export TEST_NAME="AGRIFNO"
+    cd ${CONFIG_DIR0}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_NOAGR_ST -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 del_key "key_top"
+    cd ${SETTE_DIR}
+    . ./param.cfg
+    . ./all_functions.sh
+    . ./prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=4
+    if [ -f ${JOB_FILE} ] ; then \rm ${JOB_FILE} ; fi
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 75
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .true.
+    set_namelist namelist_cfg ln_hpg_sco .false.
+    set_namelist namelist_cfg ln_hpg_zps .true. 
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg ln_icebergs .false.       
+#
+    if [ ${USING_MPMD} == "yes" ] ; then
+       set_xio_using_server iodef.xml true
+    else
+       set_xio_using_server iodef.xml false
+    fi
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_ORCA2_LIM3_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE} ${NUM_XIOSERVERS}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+fi
+
 done
Index: branches/2017/dev_CNRS_2017/NEMOGCM/SETTE/sette_rpt.sh
===================================================================
--- branches/2017/dev_CNRS_2017/NEMOGCM/SETTE/sette_rpt.sh	(revision 8891)
+++ branches/2017/dev_CNRS_2017/NEMOGCM/SETTE/sette_rpt.sh	(revision 8896)
@@ -15,4 +15,7 @@
 # For Stand Alone Surface configuration ocean is not running, just run ice model; so no outputs ocean files.
 # Compares LONG rebuild restart ice file with equivalent entry from the SHORT rebuild restart ice file.
+#
+# check nco module loaded, and load it if not
+if [ ! $( echo $LOADEDMODULES | grep cdo ) ]; then module load cdo >& /dev/null ; fi
 #
   vdir=$1
@@ -31,7 +34,7 @@
     cd ${TOOLS_DIR}/REBUILD_NEMO
     #SF echo "REBUILD LONG restart SAS files, without standard output"
-    ./rebuild_nemo -t 4 ../../CONFIG/SAS_LONG/LONG/SAS_00000240_restart_ice  $NPROC > /dev/null 2>&1
+    ./rebuild_nemo -t 4 ../../CONFIG/SAS_ST/LONG/SAS_00000240_restart_ice  $NPROC > /dev/null 2>&1
     #SF echo "REBUILD SHORT restart SAS files, without standard output"
-    ./rebuild_nemo -t 4 ../../CONFIG/SAS_LONG/SHORT/SAS_00000240_restart_ice $NPROC >&-
+    ./rebuild_nemo -t 4 ../../CONFIG/SAS_ST/SHORT/SAS_00000240_restart_ice $NPROC >&-
     cd ${SAS_RESTART_DIR}/LONG
     #SF echo "COPY rebuild restart files"
@@ -48,20 +51,30 @@
     done_oce=0
     #
-    if  [  -f $f1o ] && [  -f $f2o ]; then
-      cmp -s $f1o $f2o 
-      #SF  cmp SAS_00000240_restart_ice.nc  ../SHORT/SAS_00000240_restart_ice.nc  > diff_restart.txt
-      if [ $? == 0 ]; then
-        if [ $pass == 0 ]; then
-          printf "%-20s %s %s\n" $nam  " SAS restart files are IDENTICAL :  passed : " $dorv
-        fi
-      else
-        printf "%-20s %s %s\n" $nam  " SAS restart files are DIFFERENT : FAILED : " $dorv 
+  if  [  -f $f1o ] && [  -f $f2o ]; then
+## Compare the two netcdf files
+    cdo diffn $f1o $f2o > cdo_diff.out 2> /dev/null
+## Identical if cdo_diff.out exists but has zero size
+    if [ ! -s cdo_diff.out ]; then
+       difi=0
+    else
+## Identical if first character of $dif ==0
+       dif=$( grep -om1 '[0-9]* of [0-9]* records differ' cdo_diff.out )
+# difi contains the first character of summary of cdo dif. if = 0, then 0 record differ between the 2 files    
+       if [ -n "$dif" ]; then
+           difi=`echo $dif | cut -c -1`
+       fi
+    fi
+    \rm cdo_diff.out 
+
+    if [ $difi == 0 ]; then	
+       if [ $pass == 0 ]; then
+         printf "%-20s %s %s\n" $nam  " ice restarts are IDENTICAL  passed : " $dorv
+       fi
+    else
+       printf "%-20s %s %s\n" $nam  " ice restarts are DIFFERENT  FAILED : " $dorv 
         #
 	# Offer view of differences on the second pass
 	#
         if [ $pass == 1 ]; then
-          echo "BE CAREFUL:  NEED cdo to see differences!!!!! "
-          echo "DO which cdo and replace cdo PATH to the cdo command in SETTE_rpt.sh "
-          echo "IF cdo is not available you need to do difference of netcdf file by hand"
           echo "<return> to view restart_ice.nc differences"
           read y
@@ -71,6 +84,9 @@
           #read y
         fi
-      fi
-    fi
+    fi
+  else
+      printf "%-20s %s\n" $nam " incomplete test";
+      return;
+  fi
 #
 fi
@@ -182,6 +198,6 @@
     dorv=`ls -1rt $vdir/$nam/$mach/ | tail -1l `
     dorv=`echo $dorv | sed -e 's:.*/::'`
-    rep1=`ls -1rt $vdir/$nam/$mach/$dorv/ | tail -2l | head -1 `
-    rep2=`ls -1rt $vdir/$nam/$mach/$dorv/ | tail -1l`
+    rep1=`ls -1rt $vdir/$nam/$mach/$dorv/ | grep REPRO | tail -2l | head -1 `
+    rep2=`ls -1rt $vdir/$nam/$mach/$dorv/ | grep REPRO | tail -1l`
     f1o=$vdir/$nam/$mach/$dorv/$rep1/ocean.output
     f1s=$vdir/$nam/$mach/$dorv/$rep1/run.stat
@@ -256,4 +272,58 @@
       fi
     fi
+  fi
+}
+
+function identictest(){
+#
+#  checks AGRIF does not corrupe results with no AGRIF zoom. Expects ORCA2AGUL/AGRIFNOZ and ORCA2AGUL_NAGR/AGRIFNO  run directories
+# Compares solver.stat files for each
+#
+  vdir=$1
+  dir1=$2
+  dir2=$3
+  pass=$4
+#
+  if [ -d $vdir/$dir1 ] && [ -d $vdir/$dir2 ]; then
+    dorv1=`ls -1rt $vdir/$dir1/$mach/ | tail -1l `
+    dorv1=`echo $dorv1 | sed -e 's:.*/::'`
+    dorv2=`ls -1rt $vdir/$dir2/$mach/ | tail -1l `
+    dorv2=`echo $dorv2 | sed -e 's:.*/::'`
+
+    rep1=`ls -1rt $vdir/$dir1/$mach/$dorv1/ |  tail -2l | head -1 `
+    rep2=`ls -1rt $vdir/$dir2/$mach/$dorv2/ |  tail -1l`
+    f1s=$vdir/$dir1/$mach/$dorv1/$rep1/run.stat
+    f2s=$vdir/$dir2/$mach/$dorv2/$rep2/run.stat
+
+    if  [ ! -f $f1s ] && [ ! -f $f2s ] ; then 
+      printf "%-20s %s\n" $dir1 $dir2 " incomplete test";
+      return; 
+    fi
+#
+    done_oce=0
+
+    if  [ -f $f1s ] && [ -f $f2s ] ; then
+      cmp -s $f1s $f2s
+      if [ $? == 0 ]; then
+        if [ $pass == 0 ]; then 
+          printf "%-20s %s %s %s %s\n" $rep1 $rep2  " AGRIF: run.stat unchanged - test  passed : " $dorv1 $dorv2
+        fi
+      else
+        printf "%-20s %s %s %s %s\n" $rep1 $rep2  " for AGRIF, run.stat test FAILED : " $dorv1 $dorv2
+#
+# Offer view of differences on the second pass
+#
+        if [ $pass == 1 ]; then
+          echo "<return> to view run.stat differences"
+          read y
+          sdiff $f1s $f2s
+          done_oce=1
+          echo "<return> to continue"
+          read y
+        fi
+      fi
+    fi
+  else
+    printf "%-20s %s\n" $dir1 $dir2 " incomplete test";
   fi
 }
@@ -274,5 +344,5 @@
  NPROC=32
 
-  SAS_RESTART_DIR=${CONFIG_DIR0}/SAS_LONG
+  SAS_RESTART_DIR=${CONFIG_DIR0}/SAS_ST
 #
   if [ ! -d $NEMO_VALID ]; then
@@ -281,5 +351,12 @@
   fi
 #
-
+# Show current revision tag and branch name
+#
+cmd="svn"
+[ ! -d "$SETTE_DIR/.svn" ] && cmd="git $cmd"
+revision=`$cmd info | grep Revision | cut -d ":" -f 2 | tr -d ' '`
+branchname=`$cmd info | grep URL | rev | cut -d "/" -f 3 | rev`
+echo "SETTE validation report : $branchname @ r$revision"
+#
 # The script also needs the date or revision tag. Currently this is taken from the latest sub-directory found in each directory
 #  
@@ -292,7 +369,6 @@
 # Rebuild and restartability test for SAS
 #
- for restart_file in WSAS_LONG
+ for restart_file in WSAS_ST
  do
- #  restfile $SAS_RESTART_DIR LONG $pass
    restfile $NEMO_VALID $restart_file $pass
  done
@@ -300,5 +376,5 @@
 # Restartability test
 #
- for restart_test in WGYREPIS_LONG WORCA2LIM3PIS_LONG WORCA2OFFPIS_LONG WAMM12_LONG WISOMIP_LONG WORCA2AGUL_LONG
+ for restart_test in WGYREPIS_ST WORCA2LIM3PIS_ST WORCA2OFFPIS_ST WAMM12_ST WISOMIP_ST WORCA2AGR_ST
  do
    resttest $NEMO_VALID $restart_test $pass
@@ -307,9 +383,23 @@
 # Reproducibility tests
 #
- for repro_test in WGYREPIS_32 WORCA2LIM3PIS_32 WORCA2OFFPIS_32 WAMM12_32 WISOMIP_32 WORCA2_LIM3_OBS WORCA2AGUL_1_2 WORCA2AGUL_16 WORCA2AGUL_2_2_NAG
+ for repro_test in WGYREPIS_ST WORCA2LIM3PIS_ST WORCA2OFFPIS_ST WAMM12_ST WISOMIP_ST WORCA2_LIM3_OBS_ST WORCA2AGR_ST
  do
    reprotest $NEMO_VALID $repro_test $pass
  done
-#
+
+
+
+# AGRIF special check
+ dir1=WORCA2AGUL_NOZOOM_ST
+ dir2=WORCA2AGUL_NOAGR_ST
+ identictest $NEMO_VALID $dir1 $dir2 $pass 
+
+
 done
+#
+## Additional checks for ORCA2AGUL/FIRST standalone AGRIF test
+## still to be added
+
+
+
 exit
